<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"

    android:id="@+id/parent"
    android:keepScreenOn="true">


    <com.google.android.exoplayer.AspectRatioFrameLayout android:id="@+id/video_frame"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_gravity="center"
        android:visibility="visible"
        android:foregroundGravity="center">

        <SurfaceView android:id="@+id/surface_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"/>

    </com.google.android.exoplayer.AspectRatioFrameLayout>

    <LinearLayout
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:visibility="visible"
        android:id="@+id/root">

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:id="@+id/top"
            android:gravity="center"
            android:visibility="visible"
            android:paddingRight="50dp"
            android:background="#96000000">

            <ImageButton
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/btn_back"
                android:background="@null"
                android:src="@drawable/hplib_ic_back"
                android:layout_gravity="center"
                android:padding="10dp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:text="Video Title"
                android:id="@+id/txt_title"
                android:gravity="center|left"
                android:layout_weight="1"
                android:textColor="#FFF"
                android:paddingLeft="10dp"
                android:textSize="22dp" />

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="wrap_content"
                android:id="@+id/cast_container"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal" >
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:id="@+id/middle"
            android:layout_weight="1"
            android:visibility="visible">

        </LinearLayout>



        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:id="@+id/seekbar_time"
            android:background="#96000000"
            android:visibility="visible">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:text="00:00:00"
                android:id="@+id/txt_currentTime"
                android:textColor="#FFF"
                android:paddingLeft="20dp"
                android:paddingTop="10dp"
                android:paddingRight="10dp"
                android:paddingBottom="10dp" />

            <SeekBar
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:id="@+id/seekbar"
                android:layout_weight="1"/>
            <!--android:indeterminate="false"
            style="@android:style/Widget.DeviceDefault.Light.SeekBar"
            android:thumbTint="#ffffff"
            android:progress="0"
            android:secondaryProgress="0"
            android:splitTrack="false"
            android:progressTint="#2473ac"
            android:secondaryProgressTint="#9A8486"
            android:foregroundTint="#7F5C62"
            android:foreground="#7F5C62" />-->

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textAppearance="?android:attr/textAppearanceSmall"
                android:text="00:00:00"
                android:id="@+id/txt_totalDuration"
                android:textColor="#FFF"
                android:paddingLeft="10dp"
                android:paddingTop="10dp"
                android:paddingBottom="10dp"
                android:paddingRight="20dp" />

        </LinearLayout>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:id="@+id/controls"
            android:paddingBottom="10dp"
            android:background="#96000000"
            android:visibility="visible">

            <ImageButton
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:id="@+id/btn_lock"
                android:layout_gravity="right"
                android:background="@null"
                android:layout_weight="0"
                android:src="@drawable/hplib_ic_lock"
                android:layout_marginLeft="20dp" />
            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" android:orientation="horizontal"
                android:layout_weight="1"
                android:layout_gravity="center"
                android:layout_marginLeft="70dp"
                android:layout_marginRight="70dp">
                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:id="@+id/btn_prev"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:layout_weight="1"
                    android:src="@drawable/hplib_ic_previous"
                    android:cropToPadding="false"
                    android:layout_marginRight="24dp" />


                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:background="@null"
                    android:layout_gravity="center"
                    android:id="@+id/btn_rev"
                    android:layout_weight="1"
                    android:src="@drawable/hplib_ic_rewind"
                    android:layout_marginRight="24dp" />

                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:background="@null"
                    android:src="@drawable/hplib_ic_pause"
                    android:layout_gravity="center"
                    android:id="@+id/btn_pause"
                    android:layout_weight="1"
                    android:layout_marginRight="24dp" />
                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:background="@null"
                    android:src="@drawable/hplib_ic_play_download"
                    android:layout_gravity="center"
                    android:id="@+id/btn_play"
                    android:layout_weight="1"
                    android:visibility="gone"
                    android:layout_marginRight="24dp" />

                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:text="+30s"
                    android:background="@null"
                    android:layout_gravity="center"
                    android:id="@+id/btn_fwd"
                    android:layout_weight="1"
                    android:src="@drawable/hplib_ic_forward"
                    android:layout_marginRight="24dp" />

                <ImageButton
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:id="@+id/btn_next"
                    android:layout_gravity="center"
                    android:background="@null"
                    android:layout_weight="1"
                    android:src="@drawable/hplib_ic_next" />
            </LinearLayout>

            <ImageButton
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:id="@+id/btn_sub"
                android:src="@drawable/hplib_ic_subtitle"
                android:layout_weight="0"
                android:visibility="visible"
                android:background="@null"
                android:cropToPadding="false"
                android:layout_marginRight="24dp"
                android:alpha="1" />

            <ImageButton
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:text="Settings"
                android:background="@null"
                android:layout_gravity="right"
                android:id="@+id/btn_settings"
                android:layout_weight="0"
                android:src="@drawable/hplib_ic_settings"
                android:foregroundGravity="right"
                android:layout_marginRight="20dp" />


        </LinearLayout>


    </LinearLayout>

    <RelativeLayout
        android:id="@+id/loadingVPanel"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:visibility="gone"
        android:layout_gravity="center">

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:indeterminate="true" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:id="@+id/volume_slider_container"
        android:gravity="center"
        android:layout_marginTop="100dp"
        android:layout_marginBottom="100dp"
        android:visibility="gone">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/hplib_volume"
            android:id="@+id/volIcon"/>
        <ProgressBar
            style="@android:style/Widget.ProgressBar.Horizontal"
            android:layout_width="10dp"
            android:layout_height="match_parent"
            android:max="100"
            android:progress="33"
            android:id="@+id/volume_slider"
            android:progressDrawable="@drawable/hplib_verticalbar_design_volume"
            android:layout_marginRight="0dp"
            android:layout_marginLeft="0dp"
            android:layout_marginTop="0dp"
            android:layout_marginBottom="0dp"
            android:visibility="visible" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:id="@+id/brightness_slider_container"
        android:gravity="center"
        android:layout_marginTop="100dp"
        android:layout_marginBottom="100dp"
        android:visibility="visible">
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/hplib_brightness_medium"
            android:id="@+id/brightnessIcon"/>
        <ProgressBar
            style="@android:style/Widget.ProgressBar.Horizontal"
            android:layout_width="10dp"
            android:layout_height="match_parent"
            android:max="100"
            android:progress="33"
            android:id="@+id/brightness_slider"
            android:progressDrawable="@drawable/hplib_verticalbar_design_brightness"
            android:layout_marginLeft="0dp"
            android:layout_marginTop="0dp"
            android:layout_marginRight="0dp"
            android:layout_marginBottom="0dp"
            android:visibility="visible" />
    </LinearLayout>

    <LinearLayout
        android:orientation="horizontal"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/unlock_panel"
        android:visibility="gone"
        android:background="#96000000"
        android:gravity="center_vertical"
        android:padding="10dp"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp">

        <ImageButton
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/btn_unlock"
            android:layout_gravity="center"
            android:background="@null"
            android:src="@drawable/hplib_ic_unlock"/>

    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:orientation="horizontal"
        android:id="@+id/vol_center_text"
        android:gravity="center"
        android:visibility="visible"
        android:layout_centerHorizontal="true" >

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:id="@+id/vol_image"
            android:src="@drawable/hplib_volume" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=" 22"
            android:textSize="50dp"
            android:textStyle="bold"
            android:id="@+id/vol_perc_center_text"
            android:textColor="#FFF" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:orientation="horizontal"
        android:id="@+id/brightness_center_text"
        android:gravity="center"
        android:visibility="gone"
        android:layout_centerHorizontal="true" >

        <ImageView
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:id="@+id/brightness_image"
            android:src="@drawable/hplib_brightness_minimum" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text=" 22"
            android:textSize="50dp"
            android:textStyle="bold"
            android:id="@+id/brigtness_perc_center_text"
            android:textColor="#FFF" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:id="@+id/seekbar_center_text"
        android:gravity="center"
        android:visibility="gone"
        android:layout_centerHorizontal="true">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="00:44"
            android:textSize="50dp"
            android:textStyle="bold"
            android:id="@+id/txt_seek_currTime"
            android:textColor="#ffffff" />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="[ +00:10 ]"
            android:textSize="50dp"
            android:textStyle="bold"
            android:id="@+id/txt_seek_secs"
            android:textColor="#ffffff" />

    </LinearLayout>

</RelativeLayout>
